# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

ifndef Behavioural
include $(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Two_Level_Branch_Predictor
include $(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Makefile.deps
endif
ifndef Meta_Predictor_Glue
include $(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Meta_Predictor_Glue/Makefile.deps
endif

Meta_Predictor			= yes

#-----[ Library ]------------------------------------------
Meta_Predictor_LIBRARY		= 	-lMeta_Predictor			\
					$(Meta_Predictor_Glue_LIBRARY)		\
					$(Two_Level_Branch_Predictor_LIBRARY)	\
					$(Behavioural_LIBRARY)	

Meta_Predictor_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/lib	\
					$(Meta_Predictor_Glue_DIR_LIBRARY)						\
					$(Two_Level_Branch_Predictor_DIR_LIBRARY)					\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Meta_Predictor_library		: 
				@$(MAKE) Behavioural_library
				@$(MAKE) Meta_Predictor_Glue_library
				@$(MAKE) Two_Level_Branch_Predictor_library
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor --makefile=Makefile 
	
Meta_Predictor_library_clean	: 
				@$(MAKE) Behavioural_library_clean
				@$(MAKE) Meta_Predictor_Glue_library_clean
				@$(MAKE) Two_Level_Branch_Predictor_library_clean
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor --makefile=Makefile clean
